package com.ruoyi.project.training.bccnew.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.bccnew.domain.TTsFtplan;

/**
 * 芳烃培训Mapper接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface TTsFtplanMapper 
{
    /**
     * 查询芳烃培训
     * 
     * @param id 芳烃培训ID
     * @return 芳烃培训
     */
    public TTsFtplan selectTTsFtplanById(Long id);

    /**
     * 查询芳烃培训列表
     * 
     * @param tTsFtplan 芳烃培训
     * @return 芳烃培训集合
     */
    public List<TTsFtplan> selectTTsFtplanList(TTsFtplan tTsFtplan);
    public List<TTsFtplan> selectTTsFtplanListByNewId(TTsFtplan tTsFtplan);

    /**
     * 新增芳烃培训
     * 
     * @param tTsFtplan 芳烃培训
     * @return 结果
     */
    public int insertTTsFtplan(TTsFtplan tTsFtplan);

    /**
     * 修改芳烃培训
     * 
     * @param tTsFtplan 芳烃培训
     * @return 结果
     */
    public int updateTTsFtplan(TTsFtplan tTsFtplan);

    /**
     * 删除芳烃培训
     * 
     * @param id 芳烃培训ID
     * @return 结果
     */
    public int deleteTTsFtplanById(Long id);

    /**
     * 批量删除芳烃培训
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTsFtplanByIds(Long[] ids);
}
